###############
# Definitions #
###############
bin_PROGRAMS = nestopia

EXTRA_DIST = doc

nestopia_CPPFLAGS = \
	-I$(top_srcdir)/source \
	-I$(top_srcdir)/source/fltkui \
	-DDATADIR=\"$(datadir)/nestopia\" \
	-DDATAROOTDIR=\"$(datarootdir)\" \
	-DNST_PRAGMA_ONCE \
	$(ZLIB_CFLAGS) \
	$(LIBARCHIVE_CFLAGS) \
	$(SDL2_CFLAGS) \
	$(FLTK_CFLAGS)
nestopia_LDADD = \
	$(ZLIB_LIBS) \
	$(LIBARCHIVE_LIBS) \
	$(SDL2_LIBS) \
	$(FLTK_LIBS)

################
# Installation #
################
# program-specific files
databasedir = $(datadir)/nestopia
dist_database_DATA = NstDatabase.xml

# freedesktop.org-specific files
desktopdir = $(datarootdir)/applications
dist_desktop_DATA = icons/nestopia.desktop

icon32dir = $(datarootdir)/icons/hicolor/32x32/apps
dist_icon32_DATA = icons/32/nestopia.png

icon48dir = $(datarootdir)/icons/hicolor/48x48/apps
dist_icon48_DATA = icons/48/nestopia.png

icon64dir = $(datarootdir)/icons/hicolor/64x64/apps
dist_icon64_DATA = icons/64/nestopia.png

icon96dir = $(datarootdir)/icons/hicolor/96x96/apps
dist_icon96_DATA = icons/96/nestopia.png

icon128dir = $(datarootdir)/icons/hicolor/128x128/apps
dist_icon128_DATA = icons/128/nestopia.png

iconsvgdir = $(datarootdir)/icons/hicolor/scalable/apps
dist_iconsvg_DATA = icons/svg/nestopia.svg icons/svg/nespad.svg

# documentation
dist_doc_DATA = ChangeLog README.md
dist_html_DATA = readme.html

#####################
# Source code files #
#####################
EXTRA_DIST += \
	source/core/NstVideoFilterHq3x.inl \
	source/core/NstVideoFilterHq4x.inl \
	source/core/NstVideoFilterHq2x.inl \
	source/core/NstSoundRenderer.inl \
	source/nes_ntsc/nes_ntsc.inl

nestopia_SOURCES = \
	source/core/NstTrackerMovie.hpp \
	source/core/NstFile.hpp \
	source/core/NstAssert.cpp \
	source/core/NstIoLine.hpp \
	source/core/NstCartridgeInes.cpp \
	source/core/NstSoundRenderer.hpp \
	source/core/NstMachine.hpp \
	source/core/NstFile.cpp \
	source/core/NstVideoFilterxBR.cpp \
	source/core/NstChecksum.hpp \
	source/core/NstVideoFilterNone.cpp \
	source/core/NstPatcherUps.cpp \
	source/core/NstCartridgeRomset.hpp \
	source/core/input/NstInpBarcodeWorld.hpp \
	source/core/input/NstInpKonamiHyperShot.hpp \
	source/core/input/NstInpPowerGlove.hpp \
	source/core/input/NstInpTopRider.cpp \
	source/core/input/NstInpMouse.hpp \
	source/core/input/NstInpCrazyClimber.cpp \
	source/core/input/NstInpSuborKeyboard.hpp \
	source/core/input/NstInpPowerPad.hpp \
	source/core/input/NstInpPowerGlove.cpp \
	source/core/input/NstInpOekaKidsTablet.cpp \
	source/core/input/NstInpMouse.cpp \
	source/core/input/NstInpAdapter.hpp \
	source/core/input/NstInpPartyTap.hpp \
	source/core/input/NstInpFamilyTrainer.cpp \
	source/core/input/NstInpExcitingBoxing.hpp \
	source/core/input/NstInpPartyTap.cpp \
	source/core/input/NstInpPaddle.hpp \
	source/core/input/NstInpMahjong.cpp \
	source/core/input/NstInpDevice.hpp \
	source/core/input/NstInpTurboFile.cpp \
	source/core/input/NstInpBarcodeWorld.cpp \
	source/core/input/NstInpRob.hpp \
	source/core/input/NstInpPad.hpp \
	source/core/input/NstInpPad.cpp \
	source/core/input/NstInpZapper.hpp \
	source/core/input/NstInpFamilyKeyboard.cpp \
	source/core/input/NstInpMahjong.hpp \
	source/core/input/NstInpPachinko.hpp \
	source/core/input/NstInpAdapter.cpp \
	source/core/input/NstInpRob.cpp \
	source/core/input/NstInpDoremikkoKeyboard.cpp \
	source/core/input/NstInpPachinko.cpp \
	source/core/input/NstInpOekaKidsTablet.hpp \
	source/core/input/NstInpKonamiHyperShot.cpp \
	source/core/input/NstInpFamilyTrainer.hpp \
	source/core/input/NstInpZapper.cpp \
	source/core/input/NstInpTopRider.hpp \
	source/core/input/NstInpHoriTrack.cpp \
	source/core/input/NstInpPokkunMoguraa.hpp \
	source/core/input/NstInpBandaiHyperShot.hpp \
	source/core/input/NstInpCrazyClimber.hpp \
	source/core/input/NstInpTurboFile.hpp \
	source/core/input/NstInpFamilyKeyboard.hpp \
	source/core/input/NstInpExcitingBoxing.cpp \
	source/core/input/NstInpPowerPad.cpp \
	source/core/input/NstInpDoremikkoKeyboard.hpp \
	source/core/input/NstInpSuborKeyboard.cpp \
	source/core/input/NstInpPokkunMoguraa.cpp \
	source/core/input/NstInpBandaiHyperShot.cpp \
	source/core/input/NstInpPaddle.cpp \
	source/core/input/NstInpHoriTrack.hpp \
	source/core/NstCartridge.hpp \
	source/core/NstStream.cpp \
	source/core/NstCheats.hpp \
	source/core/NstHomebrew.hpp \
	source/core/vssystem/NstVsSystem.hpp \
	source/core/vssystem/NstVsRbiBaseball.hpp \
	source/core/vssystem/NstVsSuperXevious.cpp \
	source/core/vssystem/NstVsRbiBaseball.cpp \
	source/core/vssystem/NstVsSuperXevious.hpp \
	source/core/vssystem/NstVsTkoBoxing.cpp \
	source/core/vssystem/NstVsSystem.cpp \
	source/core/vssystem/NstVsTkoBoxing.hpp \
	source/core/NstTracker.cpp \
	source/core/NstChips.hpp \
	source/core/NstIoMap.hpp \
	source/core/NstVideoFilterxBR.hpp \
	source/core/NstXml.cpp \
	source/core/NstProperties.cpp \
	source/core/NstCpu.cpp \
	source/core/NstXml.hpp \
	source/core/NstVideoFilterHqX.hpp \
	source/core/NstVideoRenderer.cpp \
	source/core/NstPatcherIps.cpp \
	source/core/NstVideoFilterScaleX.hpp \
	source/core/NstImageDatabase.hpp \
	source/core/NstVideoRenderer.hpp \
	source/core/NstImage.hpp \
	source/core/NstTrackerRewinder.cpp \
	source/core/NstVector.cpp \
	source/core/NstLog.cpp \
	source/core/NstSoundPlayer.cpp \
	source/core/NstSoundRenderer.cpp \
	source/core/NstCartridge.cpp \
	source/core/NstIoAccessor.hpp \
	source/core/NstDipSwitches.hpp \
	source/core/NstFds.hpp \
	source/core/NstChips.cpp \
	source/core/NstApu.cpp \
	source/core/NstState.hpp \
	source/core/NstSha1.hpp \
	source/core/NstVideoFilter2xSaI.hpp \
	source/core/NstVideoFilterHqX.cpp \
	source/core/NstPatcherUps.hpp \
	source/core/NstCore.hpp \
	source/core/NstSha1.cpp \
	source/core/NstVideoScreen.hpp \
	source/core/NstTracker.hpp \
	source/core/NstRam.cpp \
	source/core/NstTimer.hpp \
	source/core/NstState.cpp \
	source/core/api/NstApiEmulator.hpp \
	source/core/api/NstApiVideo.cpp \
	source/core/api/NstApiCheats.cpp \
	source/core/api/NstApiHomebrew.cpp \
	source/core/api/NstApiMovie.hpp \
	source/core/api/NstApiCartridge.cpp \
	source/core/api/NstApi.hpp \
	source/core/api/NstApiMachine.hpp \
	source/core/api/NstApiRewinder.hpp \
	source/core/api/NstApiMovie.cpp \
	source/core/api/NstApiTapeRecorder.cpp \
	source/core/api/NstApiEmulator.cpp \
	source/core/api/NstApiRewinder.cpp \
	source/core/api/NstApiNsf.cpp \
	source/core/api/NstApiFds.cpp \
	source/core/api/NstApiNsf.hpp \
	source/core/api/NstApiMachine.cpp \
	source/core/api/NstApiDipSwitches.cpp \
	source/core/api/NstApiUser.hpp \
	source/core/api/NstApiUser.cpp \
	source/core/api/NstApiTapeRecorder.hpp \
	source/core/api/NstApiBarcodeReader.hpp \
	source/core/api/NstApiConfig.hpp \
	source/core/api/NstApiFds.hpp \
	source/core/api/NstApiVideo.hpp \
	source/core/api/NstApiCheats.hpp \
	source/core/api/NstApiHomebrew.hpp \
	source/core/api/NstApiBarcodeReader.cpp \
	source/core/api/NstApiInput.hpp \
	source/core/api/NstApiInput.cpp \
	source/core/api/NstApiSound.cpp \
	source/core/api/NstApiSound.hpp \
	source/core/api/NstApiDipSwitches.hpp \
	source/core/api/NstApiCartridge.hpp \
	source/core/NstCartridgeUnif.hpp \
	source/core/NstProperties.hpp \
	source/core/NstVideoScreen.cpp \
	source/core/NstFpuPrecision.hpp \
	source/core/NstRam.hpp \
	source/core/NstCheats.cpp \
	source/core/NstHomebrew.cpp \
	source/core/NstZlib.cpp \
	source/core/NstStream.hpp \
	source/core/NstBase.hpp \
	source/core/NstCartridgeUnif.cpp \
	source/core/NstCore.cpp \
	source/core/NstImage.cpp \
	source/core/NstPatcherIps.hpp \
	source/core/NstLog.hpp \
	source/core/NstVideoFilter2xSaI.cpp \
	source/core/NstMemory.cpp \
	source/core/NstImageDatabase.cpp \
	source/core/NstMachine.cpp \
	source/core/NstAssert.hpp \
	source/core/NstPins.cpp \
	source/core/NstApu.hpp \
	source/core/NstIoPort.hpp \
	source/core/NstPpu.cpp \
	source/core/NstTrackerMovie.cpp \
	source/core/NstPatcher.cpp \
	source/core/NstPpu.hpp \
	source/core/NstMemory.hpp \
	source/core/NstVideoFilterNone.hpp \
	source/core/board/NstBoardBmcHero.hpp \
	source/core/board/NstBoardVsSystem.cpp \
	source/core/board/NstBoardBmcSuperVision16in1.hpp \
	source/core/board/NstBoardBmc72in1.cpp \
	source/core/board/NstBoardBandaiDatach.hpp \
	source/core/board/NstBoardSunsoft3.hpp \
	source/core/board/NstBoardUnlTf1201.cpp \
	source/core/board/NstBoardMmc4.hpp \
	source/core/board/NstBoardNRom.hpp \
	source/core/board/NstBoardBmcResetBased4in1.cpp \
	source/core/board/NstBoardKay.hpp \
	source/core/board/NstBoardBmcSuper22Games.hpp \
	source/core/board/NstBoardBmc20in1.cpp \
	source/core/board/NstBoardBtlShuiGuanPipe.hpp \
	source/core/board/NstBoardSuperGameBoogerman.hpp \
	source/core/board/NstBoardKonamiVrc6.cpp \
	source/core/board/NstBoardKonamiVrc2.cpp \
	source/core/board/NstBoardSachenS8259.cpp \
	source/core/board/NstBoardCneDecathlon.hpp \
	source/core/board/NstBoardJalecoJf17.cpp \
	source/core/board/NstBoardBmcVrc4.cpp \
	source/core/board/NstBoardIremLrog017.hpp \
	source/core/board/NstBoardWaixingSgzlz.cpp \
	source/core/board/NstBoardUnlA9746.cpp \
	source/core/board/NstBoardNtdec.hpp \
	source/core/board/NstBoardJalecoJf17.hpp \
	source/core/board/NstBoardNamcot175.cpp \
	source/core/board/NstBoardNamcot340.cpp \
	source/core/board/NstBoardCamerica.cpp \
	source/core/board/NstBoardGouder.hpp \
	source/core/board/NstBoardJalecoJf16.cpp \
	source/core/board/NstBoardBmc31in1.hpp \
	source/core/board/NstBoardBmcA65as.hpp \
	source/core/board/NstBoardTxc.cpp \
	source/core/board/NstBoardCamerica.hpp \
	source/core/board/NstBoardKonamiVsSystem.hpp \
	source/core/board/NstBoardFxRom.hpp \
	source/core/board/NstBoardBmcSuperGun20in1.hpp \
	source/core/board/NstBoardDiscrete.cpp \
	source/core/board/NstBoardBmcY2k64in1.hpp \
	source/core/board/NstBoardAveD1012.cpp \
	source/core/board/NstBoardSachenSa0036.hpp \
	source/core/board/NstBoardTxcTw.hpp \
	source/core/board/NstBoard.cpp \
	source/core/board/NstBoardBmcPowerjoy84in1.cpp \
	source/core/board/NstBoardBtlSmb2a.hpp \
	source/core/board/NstBoardTaitoX1005.cpp \
	source/core/board/NstBoardBandaiLz93d50ex.hpp \
	source/core/board/NstBoardBmc64in1.hpp \
	source/core/board/NstBoardEvent.hpp \
	source/core/board/NstBoardBtlMarioBaby.cpp \
	source/core/board/NstBoardDxRom.hpp \
	source/core/board/NstBoardMmc3.cpp \
	source/core/board/NstBoardWaixingZs.cpp \
	source/core/board/NstBoardJxRom.hpp \
	source/core/board/NstBoardBmc36in1.cpp \
	source/core/board/NstBoardWaixingSecurity.cpp \
	source/core/board/NstBoardBmcGoldenGame260in1.cpp \
	source/core/board/NstBoardBandaiLz93d50.hpp \
	source/core/board/NstBoardAve.hpp \
	source/core/board/NstBoardBtl6035052.cpp \
	source/core/board/NstBoardNitra.cpp \
	source/core/board/NstBoardWaixingPs2.hpp \
	source/core/board/NstBoardHosenkan.cpp \
	source/core/board/NstBoardUnlSuperFighter3.cpp \
	source/core/board/NstBoardWaixingSh2.hpp \
	source/core/board/NstBoardBtlT230.hpp \
	source/core/board/NstBoardKonamiVrc7.hpp \
	source/core/board/NstBoardSuperGamePocahontas2.hpp \
	source/core/board/NstBoardUxRom.hpp \
	source/core/board/NstBoardRcm.hpp \
	source/core/board/NstBoardBmcSuperGun20in1.cpp \
	source/core/board/NstBoardCne.hpp \
	source/core/board/NstBoardNanjing.hpp \
	source/core/board/NstBoardBmcVrc4.hpp \
	source/core/board/NstBoardKonamiVrc6.hpp \
	source/core/board/NstBoardBmc9999999in1.cpp \
	source/core/board/NstBoardFfe.cpp \
	source/core/board/NstBoardBmcA65as.cpp \
	source/core/board/NstBoardMmc5.cpp \
	source/core/board/NstBoardTaitoTc0190fmcPal16r4.hpp \
	source/core/board/NstBoardRexSoft.hpp \
	source/core/board/NstBoardKonamiVrc2.hpp \
	source/core/board/NstBoardMmc2.cpp \
	source/core/board/NstBoardIremHolyDiver.cpp \
	source/core/board/NstBoardJaleco.hpp \
	source/core/board/NstBoardHenggedianzi.hpp \
	source/core/board/NstBoardRexSoftSl1632.hpp \
	source/core/board/NstBoardNamcot175.hpp \
	source/core/board/NstBoardNamcot340.hpp \
	source/core/board/NstBoardBmcSuper700in1.hpp \
	source/core/board/NstBoardBmc21in1.cpp \
	source/core/board/NstBoardBmc8157.cpp \
	source/core/board/NstBoardSxRom.hpp \
	source/core/board/NstBoardGouder.cpp \
	source/core/board/NstBoardBmcGolden190in1.hpp \
	source/core/board/NstBoardBmcGoldenGame260in1.hpp \
	source/core/board/NstBoardMmc3.hpp \
	source/core/board/NstBoardSuperGame.hpp \
	source/core/board/NstBoardBtlPikachuY2k.cpp \
	source/core/board/NstBoardSunsoftDcs.hpp \
	source/core/board/NstBoardCaltron.cpp \
	source/core/board/NstBoardSachenSa0037.hpp \
	source/core/board/NstBoardBmcGamestarB.hpp \
	source/core/board/NstBoardUnlKingOfFighters97.cpp \
	source/core/board/NstBoardFfe.hpp \
	source/core/board/NstBoardBmcNovelDiamond.cpp \
	source/core/board/NstBoardBtlPikachuY2k.hpp \
	source/core/board/NstBoardSunsoftDcs.cpp \
	source/core/board/NstBoardTxRom.cpp \
	source/core/board/NstBoardBmcY2k64in1.cpp \
	source/core/board/NstBoardTxcTw.cpp \
	source/core/board/NstBoardTengen.cpp \
	source/core/board/NstBoardUnlCc21.cpp \
	source/core/board/NstBoardBxRom.cpp \
	source/core/board/NstBoardJalecoJf19.hpp \
	source/core/board/NstBoardBmcNovelDiamond.hpp \
	source/core/board/NstBoardBandaiOekaKids.cpp \
	source/core/board/NstBoardSunsoft5b.hpp \
	source/core/board/NstBoardNamcot163.hpp \
	source/core/board/NstBoardKonami.hpp \
	source/core/board/NstBoardCneShlz.hpp \
	source/core/board/NstBoardOpenCorp.cpp \
	source/core/board/NstBoardMmc4.cpp \
	source/core/board/NstBoardJalecoJf16.hpp \
	source/core/board/NstBoardSachenSa72008.cpp \
	source/core/board/NstBoardUnlWorldHero.hpp \
	source/core/board/NstBoardKonamiVrc1.cpp \
	source/core/board/NstBoardDreamtech.cpp \
	source/core/board/NstBoardBandaiAerobicsStudio.cpp \
	source/core/board/NstBoardCxRom.cpp \
	source/core/board/NstBoardHosenkan.hpp \
	source/core/board/NstBoardBmc64in1.cpp \
	source/core/board/NstBoardJalecoJf11.cpp \
	source/core/board/NstBoardBtlGeniusMerioBros.cpp \
	source/core/board/NstBoardBtlSmb2c.hpp \
	source/core/board/NstBoardBmcSuperHiK300in1.hpp \
	source/core/board/NstBoardSubor.cpp \
	source/core/board/NstBoardBtlSuperBros11.hpp \
	source/core/board/NstBoardUnlKingOfFighters97.hpp \
	source/core/board/NstBoardHxRom.hpp \
	source/core/board/NstBoardIremG101.cpp \
	source/core/board/NstBoardFutureMedia.hpp \
	source/core/board/NstBoardBtlTobidaseDaisakusen.hpp \
	source/core/board/NstBoardIremKaiketsu.cpp \
	source/core/board/NstBoardWaixingPs2.cpp \
	source/core/board/NstBoardBmcSuper700in1.cpp \
	source/core/board/NstBoardSunsoft5b.cpp \
	source/core/board/NstBoardNtdec.cpp \
	source/core/board/NstBoardBmcSuperHiK300in1.cpp \
	source/core/board/NstBoardBmcHero.cpp \
	source/core/board/NstBoardWaixingSgz.cpp \
	source/core/board/NstBoardBmc35in1.cpp \
	source/core/board/NstBoardBmcVt5201.hpp \
	source/core/board/NstBoardBtlSmb2b.cpp \
	source/core/board/NstBoardSachenTca01.hpp \
	source/core/board/NstBoardSunsoft1.cpp \
	source/core/board/NstBoardMmc6.hpp \
	source/core/board/NstBoardIremKaiketsu.hpp \
	source/core/board/NstBoardUxRom.cpp \
	source/core/board/NstBoardBenshengBs5.cpp \
	source/core/board/NstBoardMmc1.hpp \
	source/core/board/NstBoardFujiya.cpp \
	source/core/board/NstBoardTaitoX1005.hpp \
	source/core/board/NstBoardBandai24c0x.cpp \
	source/core/board/NstBoardSachen74x374.cpp \
	source/core/board/NstBoardWaixingSgz.hpp \
	source/core/board/NstBoardBenshengBs5.hpp \
	source/core/board/NstBoardWaixingZs.hpp \
	source/core/board/NstBoardAe.hpp \
	source/core/board/NstBoardWaixingSh2.cpp \
	source/core/board/NstBoardBmc76in1.cpp \
	source/core/board/NstBoardBmcSuper24in1.cpp \
	source/core/board/NstBoardAcclaim.hpp \
	source/core/board/NstBoardJalecoSs88006.cpp \
	source/core/board/NstBoardIremLrog017.cpp \
	source/core/board/NstBoardSuperGameLionKing.cpp \
	source/core/board/NstBoardBmcMarioParty7in1.hpp \
	source/core/board/NstBoardBmc800in1.cpp \
	source/core/board/NstBoardUnlEdu2000.cpp \
	source/core/board/NstBoardBtlAx5705.hpp \
	source/core/board/NstBoardAcclaimMcAcc.cpp \
	source/core/board/NstBoardRexSoftDb5z.hpp \
	source/core/board/NstBoardBtl6035052.hpp \
	source/core/board/NstBoardUnlA9746.hpp \
	source/core/board/NstBoardTxcMxmdhtwo.cpp \
	source/core/board/NstBoardBmcFamily4646B.hpp \
	source/core/board/NstBoardBmcCtc65.cpp \
	source/core/board/NstBoardBmc36in1.hpp \
	source/core/board/NstBoardBmcBallgames11in1.hpp \
	source/core/board/NstBoardSuperGameBoogerman.cpp \
	source/core/board/NstBoardBtlSmb2a.cpp \
	source/core/board/NstBoardSachenStreetHeroes.hpp \
	source/core/board/NstBoardKaiser.cpp \
	source/core/board/NstBoardBmcT262.cpp \
	source/core/board/NstBoardAveNina.hpp \
	source/core/board/NstBoardFb.hpp \
	source/core/board/NstBoardSachenTcu.cpp \
	source/core/board/NstBoardKonamiVrc4.cpp \
	source/core/board/NstBoardIremG101.hpp \
	source/core/board/NstBoardJalecoJf13.cpp \
	source/core/board/NstBoardKayPandaPrince.cpp \
	source/core/board/NstBoardTaitoX1017.cpp \
	source/core/board/NstBoardBmc110in1.hpp \
	source/core/board/NstBoardHes.cpp \
	source/core/board/NstBoardSachenStreetHeroes.cpp \
	source/core/board/NstBoardUnlMortalKombat2.cpp \
	source/core/board/NstBoardKonamiVsSystem.cpp \
	source/core/board/NstBoardBandaiKaraokeStudio.cpp \
	source/core/board/NstBoardBtlAx5705.cpp \
	source/core/board/NstBoardExRom.hpp \
	source/core/board/NstBoardBtl2708.hpp \
	source/core/board/NstBoardBtl2708.cpp \
	source/core/board/NstBoardBandaiLz93d50.cpp \
	source/core/board/NstBoardUnlEdu2000.hpp \
	source/core/board/NstBoardTengenRambo1.hpp \
	source/core/board/NstBoardBmcT262.hpp \
	source/core/board/NstBoardCony.hpp \
	source/core/board/NstBoardBmc150in1.hpp \
	source/core/board/NstBoardEvent.cpp \
	source/core/board/NstBoardFutureMedia.cpp \
	source/core/board/NstBoardRumbleStation.hpp \
	source/core/board/NstBoardSomeriTeamSl12.hpp \
	source/core/board/NstBoardBtlSmb3.hpp \
	source/core/board/NstBoardUnlSuperFighter3.hpp \
	source/core/board/NstBoardBmcSuperBig7in1.cpp \
	source/core/board/NstBoardIremHolyDiver.hpp \
	source/core/board/NstBoardBmc22Games.hpp \
	source/core/board/NstBoardMmc2.hpp \
	source/core/board/NstBoardJyCompany.cpp \
	source/core/board/NstBoardSachenSa0036.cpp \
	source/core/board/NstBoardTxRom.hpp \
	source/core/board/NstBoardKonamiVrc3.hpp \
	source/core/board/NstBoardTengenRambo1.cpp \
	source/core/board/NstBoardFb.cpp \
	source/core/board/NstBoardCnePsb.hpp \
	source/core/board/NstBoardBmcGamestarA.hpp \
	source/core/board/NstBoardBtlGeniusMerioBros.hpp \
	source/core/board/NstBoardAcclaimMcAcc.hpp \
	source/core/board/NstBoardBandai24c0x.hpp \
	source/core/board/NstBoardKayH2288.hpp \
	source/core/board/NstBoardBmcCh001.hpp \
	source/core/board/NstBoardKonamiVrc4.hpp \
	source/core/board/NstBoardBtlSmb3.cpp \
	source/core/board/NstBoardJalecoSs88006.hpp \
	source/core/board/NstBoardKonamiVrc1.hpp \
	source/core/board/NstBoardBmc15in1.cpp \
	source/core/board/NstBoardRumbleStation.cpp \
	source/core/board/NstBoardTxcPoliceman.hpp \
	source/core/board/NstBoardBmcFk23c.cpp \
	source/core/board/NstBoardBmc21in1.hpp \
	source/core/board/NstBoardSubor.hpp \
	source/core/board/NstBoardUnlWorldHero.cpp \
	source/core/board/NstBoardBandaiDatach.cpp \
	source/core/board/NstBoardUnlXzy.cpp \
	source/core/board/NstBoardTxc.hpp \
	source/core/board/NstBoardTxcPoliceman.cpp \
	source/core/board/NstBoardWaixing.cpp \
	source/core/board/NstBoardKonamiVrc3.cpp \
	source/core/board/NstBoardNamcot.hpp \
	source/core/board/NstBoardSunsoft4.hpp \
	source/core/board/NstBoardAe.cpp \
	source/core/board/NstBoardBtlDragonNinja.hpp \
	source/core/board/NstBoardJyCompany.hpp \
	source/core/board/NstBoardBtlSuperBros11.cpp \
	source/core/board/NstBoardBmc110in1.cpp \
	source/core/board/NstBoardNxRom.hpp \
	source/core/board/NstBoardBmcSuperVision16in1.cpp \
	source/core/board/NstBoardAveD1012.hpp \
	source/core/board/NstBoardUnlMortalKombat2.hpp \
	source/core/board/NstBoardSunsoft4.cpp \
	source/core/board/NstBoardBmcCh001.cpp \
	source/core/board/NstBoardBmcSuper40in1.cpp \
	source/core/board/NstBoardAxRom.cpp \
	source/core/board/NstBoardBmcSuper24in1.hpp \
	source/core/board/NstBoardKayH2288.cpp \
	source/core/board/NstBoardSachen.hpp \
	source/core/board/NstBoardIremH3001.hpp \
	source/core/board/NstBoardSunsoftFme7.hpp \
	source/core/board/NstBoardBmcGoldenCard6in1.cpp \
	source/core/board/NstBoardSuperGameLionKing.hpp \
	source/core/board/NstBoardRcm.cpp \
	source/core/board/NstBoardUnlKingOfFighters96.hpp \
	source/core/board/NstBoardGxRom.hpp \
	source/core/board/NstBoardNamcot34xx.cpp \
	source/core/board/NstBoardTaitoX1017.hpp \
	source/core/board/NstBoardGxRom.cpp \
	source/core/board/NstBoardBmcMarioParty7in1.cpp \
	source/core/board/NstBoardMmc1.cpp \
	source/core/board/NstBoardNanjing.cpp \
	source/core/board/NstBoardBmcFamily4646B.cpp \
	source/core/board/NstBoardBtlT230.cpp \
	source/core/board/NstBoardBmc1200in1.hpp \
	source/core/board/NstBoardMagicKidGoogoo.cpp \
	source/core/board/NstBoardMagicSeries.cpp \
	source/core/board/NstBoardSunsoft2.hpp \
	source/core/board/NstBoardBmcGoldenCard6in1.hpp \
	source/core/board/NstBoardAveNina.cpp \
	source/core/board/NstBoardMmc6.cpp \
	source/core/board/NstBoardTaitoTc0190fmc.hpp \
	source/core/board/NstBoardBmc35in1.hpp \
	source/core/board/NstBoardBmc9999999in1.hpp \
	source/core/board/NstBoardKasing.cpp \
	source/core/board/NstBoardCxRom.hpp \
	source/core/board/NstBoardUnlCc21.hpp \
	source/core/board/NstBoardJalecoJf19.cpp \
	source/core/board/NstBoardSachenS8259.hpp \
	source/core/board/NstBoardFukutake.hpp \
	source/core/board/NstBoardBandai.hpp \
	source/core/board/NstBoardZz.cpp \
	source/core/board/NstBoardDreamtech.hpp \
	source/core/board/NstBoardBmc72in1.hpp \
	source/core/board/NstBoardHenggedianzi.cpp \
	source/core/board/NstBoardOpenCorp.hpp \
	source/core/board/NstBoardBmcPowerjoy84in1.hpp \
	source/core/board/NstBoardCneShlz.cpp \
	source/core/board/NstBoardKaiser.hpp \
	source/core/board/NstBoardKonamiVrc7.cpp \
	source/core/board/NstBoardBmc22Games.cpp \
	source/core/board/NstBoardBmcCtc65.hpp \
	source/core/board/NstBoard.hpp \
	source/core/board/NstBoardBmcGamestarB.cpp \
	source/core/board/NstBoardWaixingSecurity.hpp \
	source/core/board/NstBoardIrem.hpp \
	source/core/board/NstBoardUnlN625092.cpp \
	source/core/board/NstBoardBtlSmb2b.hpp \
	source/core/board/NstBoardBmc150in1.cpp \
	source/core/board/NstBoardBmcSuperHiK4in1.cpp \
	source/core/board/NstBoardBtlShuiGuanPipe.cpp \
	source/core/board/NstBoardBtlMarioBaby.hpp \
	source/core/board/NstBoardBmc800in1.hpp \
	source/core/board/NstBoardCnePsb.cpp \
	source/core/board/NstBoardSuperGamePocahontas2.cpp \
	source/core/board/NstBoardSunsoft1.hpp \
	source/core/board/NstBoardSachenSa0037.cpp \
	source/core/board/NstBoardVsSystem.hpp \
	source/core/board/NstBoardHes.hpp \
	source/core/board/NstBoardWhirlwind.hpp \
	source/core/board/NstBoardSunsoftFme7.cpp \
	source/core/board/NstBoardSachen74x374.hpp \
	source/core/board/NstBoardBmcBallgames11in1.cpp \
	source/core/board/NstBoardFukutake.cpp \
	source/core/board/NstBoardCaltron.hpp \
	source/core/board/NstBoardUnlN625092.hpp \
	source/core/board/NstBoardIremH3001.cpp \
	source/core/board/NstBoardTaitoTc0190fmcPal16r4.cpp \
	source/core/board/NstBoardKayPandaPrince.hpp \
	source/core/board/NstBoardTaitoTc0190fmc.cpp \
	source/core/board/NstBoardBmcGolden190in1.cpp \
	source/core/board/NstBoardQj.cpp \
	source/core/board/NstBoardBmcResetBased4in1.hpp \
	source/core/board/NstBoardBmcGamestarA.cpp \
	source/core/board/NstBoardTaito.hpp \
	source/core/board/NstBoardWaixingFfv.hpp \
	source/core/board/NstBoardNamcot34xx.hpp \
	source/core/board/NstBoardBtlSmb2c.cpp \
	source/core/board/NstBoardSachenSa72008.hpp \
	source/core/board/NstBoardKasing.hpp \
	source/core/board/NstBoardSunsoft2.cpp \
	source/core/board/NstBoardWaixingFfv.cpp \
	source/core/board/NstBoardBxRom.hpp \
	source/core/board/NstBoardBmcFk23c.hpp \
	source/core/board/NstBoardBmc15in1.hpp \
	source/core/board/NstBoardBtlDragonNinja.cpp \
	source/core/board/NstBoardSunsoft.hpp \
	source/core/board/NstBoardSunsoft3.cpp \
	source/core/board/NstBoardJalecoJf13.hpp \
	source/core/board/NstBoardDiscrete.hpp \
	source/core/board/NstBoardWaixingSgzlz.hpp \
	source/core/board/NstBoardNitra.hpp \
	source/core/board/NstBoardZz.hpp \
	source/core/board/NstBoardUnlXzy.hpp \
	source/core/board/NstBoardRexSoftSl1632.cpp \
	source/core/board/NstBoardSachenTca01.cpp \
	source/core/board/NstBoardBtlTobidaseDaisakusen.cpp \
	source/core/board/NstBoardQj.hpp \
	source/core/board/NstBoardBandaiOekaKids.hpp \
	source/core/board/NstBoardAxRom.hpp \
	source/core/board/NstBoardBandaiKaraokeStudio.hpp \
	source/core/board/NstBoardMxRom.hpp \
	source/core/board/NstBoardTengen.hpp \
	source/core/board/NstBoardSomeriTeamSl12.cpp \
	source/core/board/NstBoardJalecoJf11.hpp \
	source/core/board/NstBoardBmc31in1.cpp \
	source/core/board/NstBoardUnlKingOfFighters96.cpp \
	source/core/board/NstBoardTxcMxmdhtwo.hpp \
	source/core/board/NstBoardAgci.cpp \
	source/core/board/NstBoardBmcSuper40in1.hpp \
	source/core/board/NstBoardBmcVt5201.cpp \
	source/core/board/NstBoardNihon.hpp \
	source/core/board/NstBoardMagicSeries.hpp \
	source/core/board/NstBoardPxRom.hpp \
	source/core/board/NstBoardUnlTf1201.hpp \
	source/core/board/NstBoardCneDecathlon.cpp \
	source/core/board/NstBoardBandaiAerobicsStudio.hpp \
	source/core/board/NstBoardBmcSuperHiK4in1.hpp \
	source/core/board/NstBoardRexSoftDb5z.cpp \
	source/core/board/NstBoardWhirlwind.cpp \
	source/core/board/NstBoardBmcSuper22Games.cpp \
	source/core/board/NstBoardBandaiLz93d50ex.cpp \
	source/core/board/NstBoardSachenSa72007.cpp \
	source/core/board/NstBoardFujiya.hpp \
	source/core/board/NstBoardBmc1200in1.cpp \
	source/core/board/NstBoardMmc5.hpp \
	source/core/board/NstBoardSomeriTeam.hpp \
	source/core/board/NstBoardBmc76in1.hpp \
	source/core/board/NstBoardBmc20in1.hpp \
	source/core/board/NstBoardSachenSa72007.hpp \
	source/core/board/NstBoardBmc8157.hpp \
	source/core/board/NstBoardAgci.hpp \
	source/core/board/NstBoardNamcot163.cpp \
	source/core/board/NstBoardWaixing.hpp \
	source/core/board/NstBoardBmcSuperBig7in1.hpp \
	source/core/board/NstBoardCony.cpp \
	source/core/board/NstBoardNihon.cpp \
	source/core/board/NstBoardSachenTcu.hpp \
	source/core/board/NstBoardInlNsf.cpp \
	source/core/board/NstBoardInlNsf.hpp \
	source/core/board/NstBoardAction53.cpp \
	source/core/board/NstBoardAction53.hpp \
	source/core/board/NstBoardWaixingFs304.cpp \
	source/core/board/NstBoardWaixingFs304.hpp \
	source/core/NstPins.hpp \
	source/core/NstNsf.hpp \
	source/core/NstTrackerRewinder.hpp \
	source/core/NstFds.cpp \
	source/core/NstVector.hpp \
	source/core/NstPatcher.hpp \
	source/core/NstVideoFilterScaleX.cpp \
	source/core/NstCartridgeInes.hpp \
	source/core/NstNsf.cpp \
	source/core/NstSoundPcm.cpp \
	source/core/NstSoundPcm.hpp \
	source/core/NstVideoFilterNtsc.hpp \
	source/core/NstCartridgeRomset.cpp \
	source/core/NstVideoFilterNtsc.cpp \
	source/core/NstChecksum.cpp \
	source/core/NstVideoFilterNtscCfg.cpp \
	source/core/NstZlib.hpp \
	source/core/NstCrc32.cpp \
	source/core/NstHook.hpp \
	source/core/NstSoundPlayer.hpp \
	source/core/NstBarcodeReader.hpp \
	source/core/NstCpu.hpp \
	source/core/NstCrc32.hpp \
	source/nes_ntsc/nes_ntsc_impl.h \
	source/nes_ntsc/nes_ntsc_config.h \
	source/nes_ntsc/nes_ntsc.h \
	source/nes_ntsc/demo_impl.h

nestopia_SOURCES += \
	source/fltkui/nstcommon.cpp \
	source/fltkui/nstcommon.h \
	source/fltkui/cheats.cpp \
	source/fltkui/cheats.h \
	source/fltkui/homebrew.cpp \
	source/fltkui/homebrew.h \
	source/fltkui/cli.cpp \
	source/fltkui/cli.h \
	source/fltkui/config.cpp \
	source/fltkui/config.h \
	source/fltkui/video.cpp \
	source/fltkui/video.h \
	source/fltkui/input.cpp \
	source/fltkui/input.h \
	source/fltkui/samples.cpp \
	source/fltkui/samples.h \
	source/fltkui/font.h \
	source/fltkui/ini.cpp \
	source/fltkui/ini.h \
	source/fltkui/png.cpp \
	source/fltkui/png.h \
	source/fltkui/audio.cpp \
	source/fltkui/audio.h

nestopia_SOURCES += \
	source/fltkui/fltkui_config.h \
	source/fltkui/fltkui_archive.h \
	source/fltkui/fltkui_archive.cpp \
	source/fltkui/fltkui_cheats.h \
	source/fltkui/fltkui_cheats.cpp \
	source/fltkui/fltkui.cpp \
	source/fltkui/fltkui.h \
	source/fltkui/fltkui_config.cpp

# install full HTML suite
if ENABLE_FULL_HTML
dist_html_DATA += \
	doc/index.html \
	doc/index-deprecated-list.html \
	doc/index-allclasses-frame.html \
	doc/index-overview-tree.html \
	doc/index-all.html \
	doc/index-overview-summary.html \
	doc/index-overview-frame.html

htmldetailscoredir = $(htmldir)/details/core
dist_htmldetailscore_DATA = \
	doc/details/core/Nes..Core..CpuModel.html \
	doc/details/core/Nes..Core..System.html \
	doc/details/core/Nes..uchar.html \
	doc/details/core/Nes..schar.html \
	doc/details/core/Nes.html \
	doc/details/core/Nes..Core.html \
	doc/details/core/Nes..Core..ImplicitBool..Type.html \
	doc/details/core/Nes..dword.html \
	doc/details/core/Nes..ulong.html \
	doc/details/core/project-frame.html \
	doc/details/core/Nes..Core..ImplicitBool.html \
	doc/details/core/Nes..Core..PpuModel.html \
	doc/details/core/Nes..Result.html \
	doc/details/core/Nes..Core..FavoredSystem.html \
	doc/details/core/project-summary.html \
	doc/details/core/Nes..ushort.html \
	doc/details/core/Nes..byte.html \
	doc/details/core/Nes..uint.html \
	doc/details/core/Nes..Core..Region.html \
	doc/details/core/Nes..word.html \
	doc/details/core/project-tree.html

htmldetailsapidir = $(htmldir)/details/api
dist_htmldetailsapi_DATA = \
	doc/details/api/Nes..Api..TapeRecorder.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Property.html \
	doc/details/api/Nes..Core..Sound..Output..Unlocker.html \
	doc/details/api/Nes..Api..DipSwitches.html \
	doc/details/api/Nes..Api..Input.html \
	doc/details/api/Nes..Api..BarcodeReader.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Wram.html \
	doc/details/api/Nes..Api..Fds..DiskData..File.html \
	doc/details/api/Nes..Api..Video..Output.html \
	doc/details/api/Nes..Api..User..LogCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..Pachinko.html \
	doc/details/api/Nes..Core..Input..Controllers..OekaKidsTablet.html \
	doc/details/api/Nes..Api..Cartridge..NesHeader..Mirroring.html \
	doc/details/api/Nes..Core..Video..Output..UnlockCallback.html \
	doc/details/api/Nes..Api..Cartridge..ChooseProfileCaller.html \
	doc/details/api/Nes..Api..Sound..Speaker.html \
	doc/details/api/Nes..Api..Cartridge..Profile..System..Ppu.html \
	doc/details/api/Nes..Core..Input..Controllers..Mouse..PollCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..PowerGlove.html \
	doc/details/api/Nes..Api..Cartridge..Profile..System..Cpu.html \
	doc/details/api/Nes..Core..Input..Controllers..PollCaller1.html \
	doc/details/api/Nes..Core..Input..Controllers..Pachinko..PollCallback.html \
	doc/details/api/Nes..Api..Sound..Channel.html \
	doc/details/api/Nes..Core..Video..Output..Unlocker.html \
	doc/details/api/Nes..Core..Input..Controllers..Zapper..PollCallback.html \
	doc/details/api/Nes..Core..Input.html \
	doc/details/api/Nes..Core..Sound.html \
	doc/details/api/Nes..Api..Fds..Event.html \
	doc/details/api/Nes..Api..Video..RenderState..Filter.html \
	doc/details/api/Nes..Core..Input..Controllers..KaraokeStudio..PollCallback.html \
	doc/details/api/Nes..Api..Cartridge..Profile..System.html \
	doc/details/api/Nes..Core..Input..Controllers..Mouse.html \
	doc/details/api/Nes..Api..Rewinder.html \
	doc/details/api/Nes..Core..Sound..Output..Locker.html \
	doc/details/api/Nes..Core..Sound..Output..LockCallback.html \
	doc/details/api/Nes..Api..Rewinder..State.html \
	doc/details/api/Nes..Api..User..Question.html \
	doc/details/api/Nes..Api..Video..Palette..Mode.html \
	doc/details/api/Nes.html \
	doc/details/api/Nes..Api..Video..Palette.html \
	doc/details/api/Nes..Core..Input..Controllers..OekaKidsTablet..PollCallback.html \
	doc/details/api/Nes..Core.html \
	doc/details/api/Nes..Api..Emulator..Core.html \
	doc/details/api/Nes..Core..Input..Controllers..Zapper.html \
	doc/details/api/Nes..Api..Input..ControllerCallback.html \
	doc/details/api/Nes..Api..Rewinder..Direction.html \
	doc/details/api/Nes..Core..Video..Output..LockCallback.html \
	doc/details/api/Nes..Api..TapeRecorder..Event.html \
	doc/details/api/Nes..Api..Machine.html \
	doc/details/api/Nes..Api..User..File..Patch.html \
	doc/details/api/Nes..Api..User..FileIoCallback.html \
	doc/details/api/Nes..Api..Cheats..Code.html \
	doc/details/api/Nes..Api..Video..Decoder.html \
	doc/details/api/Nes..Api..Video..DecoderPreset.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Properties.html \
	doc/details/api/Nes..Api..Machine..AskProfile.html \
	doc/details/api/Nes..Api..User..File.html \
	doc/details/api/Nes..Api..User..EventCaller.html \
	doc/details/api/Nes..Api..Emulator.html \
	doc/details/api/Nes..Api..Fds..DiskData..File..Type.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Roms.html \
	doc/details/api/Nes..Api..Rewinder..StateCallback.html \
	doc/details/api/Nes..Api..Cartridge..Database..Entry.html \
	doc/details/api/Nes..Core..Input..Controllers..Paddle.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board.html \
	doc/details/api/Nes..Core..Input..Controllers.html \
	doc/details/api/Nes..Api..Fds..Motor.html \
	doc/details/api/Nes..Api..Fds..DiskData..Files.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Dump..State.html \
	doc/details/api/Nes..Core..Input..Controllers..KonamiHyperShot.html \
	doc/details/api/Nes..Core..Input..Controllers..VsSystem..PollCallback.html \
	doc/details/api/Nes..Api..Movie.html \
	doc/details/api/Nes..Api..Machine..Compression.html \
	doc/details/api/Nes..Api..Fds..DiskCaller.html \
	doc/details/api/Nes..Core..Input..Controllers..DoremikkoKeyboard.html \
	doc/details/api/Nes..Core..Input..Controllers..Paddle..PollCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..PollCaller3.html \
	doc/details/api/Nes..Api..Sound..Output.html \
	doc/details/api/Nes..Api..Input..Type.html \
	doc/details/api/Nes..Api..Video..Palette..Colors.html \
	doc/details/api/Nes..Core..Input..Controllers..Mahjong.html \
	doc/details/api/Nes..Core..Video.html \
	doc/details/api/Nes..Api..Video..RenderState..Bits..Mask.html \
	doc/details/api/Nes..Core..Input..Controllers..PowerGlove..Gesture.html \
	doc/details/api/Nes..Api..Cartridge..NesHeader..System.html \
	doc/details/api/Nes..Api..User.html \
	doc/details/api/Nes..Api..Input..ControllerCaller.html \
	doc/details/api/Nes..Api..Video..RenderState.html \
	doc/details/api/Nes..Api..Video.html \
	doc/details/api/Nes..Core..Input..Controllers..Mahjong..PollCallback.html \
	doc/details/api/Nes..Api..Cartridge..Profile.html \
	doc/details/api/Nes..Core..Input..Controllers..HoriTrack.html \
	doc/details/api/Nes..Core..Input..Controllers..TopRider..PollCallback.html \
	doc/details/api/Nes..Core..Video..Output.html \
	doc/details/api/Nes..Core..Input..Controllers..PowerGlove..PollCallback.html \
	doc/details/api/Nes..Api..Cartridge..NesHeader..Region.html \
	doc/details/api/Nes..Core..Input..Controllers..PartyTap.html \
	doc/details/api/Nes..Api..User..EventCallback.html \
	doc/details/api/Nes..Api..User..Event.html \
	doc/details/api/Nes..Api..Rewinder..StateCaller.html \
	doc/details/api/Nes..Core..Input..Controllers..Pad..PollCallback.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Sample.html \
	doc/details/api/Nes..Core..Input..Controllers..CrazyClimber..PollCallback.html \
	doc/details/api/Nes..Api..Nsf..Event.html \
	doc/details/api/Nes..Core..Input..Controllers..BandaiHyperShot..PollCallback.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Rams.html \
	doc/details/api/Nes..Api..User..QuestionCaller.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Dump.html \
	doc/details/api/project-frame.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Vram.html \
	doc/details/api/Nes..Api..Cheats.html \
	doc/details/api/Nes..Core..Input..Controllers..BandaiHyperShot.html \
	doc/details/api/Nes..Core..Input..Controllers..PartyTap..PollCallback.html \
	doc/details/api/Nes..Api..Machine..Event.html \
	doc/details/api/Nes..Core..Input..Controllers..TopRider.html \
	doc/details/api/Nes..Core..Input..Controllers..KonamiHyperShot..PollCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..PokkunMoguraa..PollCallback.html \
	doc/details/api/Nes..Core..Sound..Output..UnlockCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..FamilyKeyboard.html \
	doc/details/api/Nes..Api..Cartridge.html \
	doc/details/api/Nes..Api..Fds..DiskCallback.html \
	doc/details/api/Nes..Api..Input..AdapterCaller.html \
	doc/details/api/Nes..Api..User..Answer.html \
	doc/details/api/Nes..Api..Video..Palette..CustomType.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Chips.html \
	doc/details/api/Nes..Api..Fds.html \
	doc/details/api/Nes..Api..Fds..DiskData.html \
	doc/details/api/Nes..Api..Machine..FavoredSystem.html \
	doc/details/api/Nes..Core..Input..Controllers..FamilyTrainer..PollCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..DoremikkoKeyboard..PollCallback.html \
	doc/details/api/Nes..Api..Machine..EventCallback.html \
	doc/details/api/Nes..Api..TapeRecorder..EventCallback.html \
	doc/details/api/project-summary.html \
	doc/details/api/Nes..Core..Input..Controllers..PowerPad.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Rom.html \
	doc/details/api/Nes..Api..Movie..EventCaller.html \
	doc/details/api/Nes..Core..Input..Controllers..PowerPad..PollCallback.html \
	doc/details/api/Nes..Api..Cheats..RAM_SIZE.html \
	doc/details/api/Nes..Api..Movie..EventCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..Pad.html \
	doc/details/api/Nes..Api..Nsf..EventCallback.html \
	doc/details/api/Nes..Api..Machine..Mode.html \
	doc/details/api/Nes..Api..Fds..DiskData..Data.html \
	doc/details/api/Nes..Api..Cartridge..Profile..System..Type.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Ram.html \
	doc/details/api/Nes..Api..Sound.html \
	doc/details/api/Nes..Api..Input..Controllers.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Pins.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Samples.html \
	doc/details/api/Nes..Api..Movie..Event.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Pin.html \
	doc/details/api/Nes..Core..Input..Controllers..ExcitingBoxing..PollCallback.html \
	doc/details/api/Nes..Api..User..LogCaller.html \
	doc/details/api/Nes..Api..Machine..Patch.html \
	doc/details/api/Nes..Core..Input..Controllers..ExcitingBoxing.html \
	doc/details/api/Nes..Core..Input..Controllers..VsSystem.html \
	doc/details/api/Nes..Core..Input..Controllers..PokkunMoguraa.html \
	doc/details/api/Nes..Api..Machine..EventCaller.html \
	doc/details/api/Nes..Api..User..QuestionCallback.html \
	doc/details/api/Nes..Core..Input..Controllers..HoriTrack..PollCallback.html \
	doc/details/api/Nes..Core..Sound..Output.html \
	doc/details/api/Nes..Core..Input..Controllers..FamilyTrainer.html \
	doc/details/api/Nes..Api..TapeRecorder..EventCaller.html \
	doc/details/api/Nes..Core..Video..Output..Locker.html \
	doc/details/api/Nes..Api..Cartridge..NesHeader..Ppu.html \
	doc/details/api/Nes..Api..Fds..DriveCallback.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Game.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Prg.html \
	doc/details/api/Nes..Core..Input..Controllers..KaraokeStudio.html \
	doc/details/api/Nes..Api..User..File..Action.html \
	doc/details/api/Nes..Api..Fds..DriveCaller.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Chr.html \
	doc/details/api/Nes..Api..Video..RenderState..Bits.html \
	doc/details/api/Nes..Core..Input..Controllers..SuborKeyboard.html \
	doc/details/api/Nes..Api..Nsf..EventCaller.html \
	doc/details/api/Nes..Api..Cartridge..NesHeader.html \
	doc/details/api/Nes..Core..Input..Controllers..SuborKeyboard..PollCallback.html \
	doc/details/api/Nes..Api..Cartridge..Database.html \
	doc/details/api/Nes..Api..User..FileIoCaller.html \
	doc/details/api/Nes..Api..Nsf.html \
	doc/details/api/Nes..Api..Video..RenderState..Scale.html \
	doc/details/api/Nes..Core..Input..Controllers..CrazyClimber.html \
	doc/details/api/Nes..Core..Input..Controllers..PollCaller2.html \
	doc/details/api/Nes..Api..Input..AdapterCallback.html \
	doc/details/api/Nes..Api.html \
	doc/details/api/Nes..Api..Nsf..TuneMode.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Hash.html \
	doc/details/api/Nes..Api..Input..Adapter.html \
	doc/details/api/project-tree.html \
	doc/details/api/Nes..Api..Cartridge..ChooseProfileCallback.html \
	doc/details/api/Nes..Api..Cartridge..Profile..Board..Chip.html \
	doc/details/api/Nes..Core..Input..Controllers..FamilyKeyboard..PollCallback.html \
	doc/details/api/Nes..Api..Movie..How.html
endif
